Which version dropped xp support? (unless my info is wrong)

Discuss anything ZDoom-related that doesn't fall into one of the other categories.

Which version dropped xp support? (unless my info is wrong)

Postby invictius » Fri Feb 15, 2019 1:56 pm

Not really a legacy question, had a look at the change notes and couldn't find anything. I have an explorer extension that reports the minimum windows version to run a given exe, and it's telling me vista for 3.7.1. I don't want to clutter my desktop with unzipping and checking each prior version without knowing if this tool is reporting accurately. Not a concern of mine, have been expecting the change for a while (but thought minimum would jump straight to 7)
invictius
 
Joined: 03 Aug 2012

Re: Which version dropped xp support? (unless my info is wro

Postby Rachael » Fri Feb 15, 2019 2:25 pm

Officially, XP support is alive and well, but only in 32-bit versions of GZDoom.

64-bit XP is incredibly rare so the decision was made not to directly support it - but that can still run the 32-bit version of GZDoom anyhow. That decision came sometime after 3.0.0 but before 3.4.0.

To figure out which versions had 64-bit XP support it would be necessary to get a PE image analyzer that can read the kernel version minimum setting, or learn its offset and use a hex editor to find it.

(edit: according to this commit that happened before 3.3.0's release, so 3.2.x were the final versions to have 64-bit XP support)
User avatar
Rachael
Webmaster
 
Joined: 13 Jan 2004
Discord: Rachael#3767
Twitch ID: madamerachelle
Github ID: madame-rachelle
Graphics Processor: nVidia with Vulkan support

Re: Which version dropped xp support? (unless my info is wro

Postby TDRR » Fri Feb 15, 2019 2:32 pm

Rachael wrote:64-bit XP is incredibly rare so the decision was made not to directly support it - but that can still run the 32-bit version of GZDoom anyhow


Do note that you absolutely need to pass the +vm_jit 0 parameter if using the 64-bit version of Windows XP, or it will run at 2fps.
User avatar
TDRR
iDeas from the deep (pit of hacks)
 
Joined: 11 Mar 2018
Location: Venezuela
Operating System: Windows Vista/7 64-bit
Graphics Processor: Intel (Modern GZDoom)

Re: Which version dropped xp support? (unless my info is wro

Postby Rachael » Fri Feb 15, 2019 2:35 pm

XP support was dropped in 64-bit versions LONG before the JIT was ever introduced - so that should be a non-issue. This seems like a bit of a red herring - what kind of a setup do you have that would even allow this?
User avatar
Rachael
Webmaster
 
Joined: 13 Jan 2004
Discord: Rachael#3767
Twitch ID: madamerachelle
Github ID: madame-rachelle
Graphics Processor: nVidia with Vulkan support

Re: Which version dropped xp support? (unless my info is wro

Postby leileilol » Fri Feb 15, 2019 5:18 pm

invictius wrote:Not really a legacy question,


Yes. Yes it is. XP's officially made legacy as soon as TLS 1.0 among major websites were shed a few months ago.
User avatar
leileilol
ダークエルフ!!!!!!!!!!
 
Joined: 30 May 2004
Location: GNU/Hell

Re: Which version dropped xp support? (unless my info is wro

Postby Kinsie » Fri Feb 15, 2019 8:53 pm

leileilol wrote:
invictius wrote:Not really a legacy question,


Yes. Yes it is. XP's officially made legacy as soon as TLS 1.0 among major websites were shed a few months ago.
Official support for Windows XP (incl. security patches) was also ended in 2014.
User avatar
Kinsie
A Concept Utterly Obsolete
 
Joined: 22 Oct 2004
Location: MAP33
Discord: Find Me...
Twitch ID: thekinsie

Re: Which version dropped xp support? (unless my info is wro

Postby TDRR » Sat Feb 16, 2019 2:54 pm

Rachael wrote:XP support was dropped in 64-bit versions LONG before the JIT was ever introduced - so that should be a non-issue. This seems like a bit of a red herring - what kind of a setup do you have that would even allow this?


My fault, sorry for not being more specific. If running the 32 bit version of GZDoom in a 64 bit Windows, you need to disable the vm_jit or else you will get 2fps. At least that is what happens here in Windows 7 64-bit.
User avatar
TDRR
iDeas from the deep (pit of hacks)
 
Joined: 11 Mar 2018
Location: Venezuela
Operating System: Windows Vista/7 64-bit
Graphics Processor: Intel (Modern GZDoom)

Re: Which version dropped xp support? (unless my info is wro

Postby phantombeta » Sat Feb 16, 2019 3:15 pm

TDRR wrote:
Rachael wrote:XP support was dropped in 64-bit versions LONG before the JIT was ever introduced - so that should be a non-issue. This seems like a bit of a red herring - what kind of a setup do you have that would even allow this?


My fault, sorry for not being more specific. If running the 32 bit version of GZDoom in a 64 bit Windows, you need to disable the vm_jit or else you will get 2fps. At least that is what happens here in Windows 7 64-bit.

That also shouldn't do anything, because vm_jit is disabled by default on 32-bit builds - the JIT compiler's code doesn't work for 32-bit builds in the first place AFAIK.
User avatar
phantombeta
In the meadow of sinful thoughts, every flower's a perfect one
 
Joined: 02 May 2013
Location: The United Soviet Socialist Dictatorship of Hueland
Discord: phantombeta#2461
Twitch ID: phantombeta_
Github ID: Doom2fan
Operating System: Windows 10/8.1/8 64-bit
OS Test Version: No (Using Stable Public Version)
Graphics Processor: nVidia with Vulkan support


Return to General

Who is online

Users browsing this forum: Ahrefs [Bot], Doom Juan, Enjay, Google [Bot], Player701, Semrush [Bot] and 2 guests